# Uses of Enum Class
org.bukkit.FluidCollisionMode

Packages that use FluidCollisionMode
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of FluidCollisionMode in org.bukkit

Methods in org.bukkit that return FluidCollisionMode
Modifier and Type
Method
Description
`static FluidCollisionMode`
FluidCollisionMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FluidCollisionMode[]`
FluidCollisionMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type FluidCollisionMode
Modifier and Type
Method
Description
`@Nullable RayTraceResult`
World.`rayTrace(@NotNull Location start, @NotNull Vector direction, double maxDistance, @NotNull FluidCollisionMode fluidCollisionMode, boolean ignorePassableBlocks, double raySize, @Nullable Predicate<Entity> filter)`
Performs a ray trace that checks for both block and entity collisions.
`@Nullable RayTraceResult`
World.`rayTraceBlocks(@NotNull Location start, @NotNull Vector direction, double maxDistance, @NotNull FluidCollisionMode fluidCollisionMode)`
Performs a ray trace that checks for block collisions using the blocks' precise collision shapes.
`@Nullable RayTraceResult`
World.`rayTraceBlocks(@NotNull Location start, @NotNull Vector direction, double maxDistance, @NotNull FluidCollisionMode fluidCollisionMode, boolean ignorePassableBlocks)`
Performs a ray trace that checks for block collisions using the blocks' precise collision shapes.

## Uses of FluidCollisionMode in org.bukkit.block

Methods in org.bukkit.block with parameters of type FluidCollisionMode
Modifier and Type
Method
Description
`@Nullable RayTraceResult`
Block.`rayTrace(@NotNull Location start, @NotNull Vector direction, double maxDistance, @NotNull FluidCollisionMode fluidCollisionMode)`
Performs a ray trace that checks for collision with this specific block in its current state using its precise collision shape.

## Uses of FluidCollisionMode in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type FluidCollisionMode
Modifier and Type
Method
Description
`@Nullable Block`
LivingEntity.`getTargetBlockExact(int maxDistance, @NotNull FluidCollisionMode fluidCollisionMode)`
Gets the block that the living entity has targeted.
`@Nullable RayTraceResult`
LivingEntity.`rayTraceBlocks(double maxDistance, @NotNull FluidCollisionMode fluidCollisionMode)`
Performs a ray trace that provides information on the targeted block.